Bug 237000

Summary: Amarok crashes during scan of an external device for use as collection [@ Podcasts::UmsPodcastProvider::playlists]
Product: amarok Reporter: rainer.feigl
Component: PodcastAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: crash CC: amoffitt07, bameylan, bart.cerneels, colourtherapy, damdam73, dawid.dejager, dwarthog, earlski, eberlord, el_gallo_azul, e_formoso, fatgerman, jamsound, jlostale, lsickscoobyl, marius_pfeifer, michi.meister, moritz.moroder, oakenshield.thorin, pitazboras, pjdpereira, polkumb-jybe, rainer.feigl, stanlavisbad, supernic2002, theunknowncylon, v62
Priority: HI    
Version: 2.4.0   
Target Milestone: 2.4.1   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 2.4.1
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description rainer.feigl 2010-05-09 18:25:21 UTC
Application: amarok (2.3.0.90)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-22-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
the external device is twofish encrypted with an ext3 formated partition inside
there are 2 folders on top:
music/ # where obviousily the to be scanned music files are
setups/ # other stuff

told em to use that device as collection, after about 30min it chrashes reproducable

The crash can be reproduced every time.

 -- Backtrace:
Application: Amarok (amarok), signal: Aborted
__lll_lock_wait_private ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f53411d1780 (LWP 3671))]

Thread 16 (Thread 0x7f53295ad710 (LWP 3672)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f532f917081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f5328774710 (LWP 3673)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f5328773a80 in ?? ()
#2  0x00007fff7c911852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 14 (Thread 0x7f5327d69710 (LWP 3676)):
#0  0x00007f533e008f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f5327d6e915 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f5327568710 (LWP 3677)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f532f927e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f532695c710 (LWP 3678)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f532f927e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f532615b710 (LWP 3679)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f532f927e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f532595a710 (LWP 3680)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f532f927e23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f531fdc6710 (LWP 3683)):
#0  0x00007f533c463a2d in __pthread_mutex_unlock_usercnt (mutex=0x3239d88) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x3239d88) at pthread_mutex_unlock.c:290
#2  0x00007f53374e7bcd in g_main_context_check () from /lib/libglib-2.0.so.0
#3  0x00007f53374e84c3 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f53374e88fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x00007f533e973566 in QEventDispatcherGlib::processEvents (this=0x32aca80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#6  0x00007f533e948992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#7  0x00007f533e948d6c in QEventLoop::exec (this=0x7f531fdc5d90, flags=) at kernel/qeventloop.cpp:201
#8  0x00007f533e852d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#9  0x00007f533e929178 in QInotifyFileSystemWatcherEngine::run (this=0x32aa590) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007f533e855775 in QThreadPrivate::start (arg=0x32aa590) at thread/qthread_unix.cpp:248
#11 0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f53154db710 (LWP 3684)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f53393c1ca6 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f53393c1ce9 in ?? () from /usr/lib/libQtWebKit.so.4
#3  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f531413a710 (LWP 3685)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f533e85672b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x33c6a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x33c6a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f533aeaa026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x33c5b40, th=0x33c6e40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f533aeac6ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x33c6e40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f533aeac6c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x33c6e40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f533aeaabff in ThreadWeaver::ThreadRunHelper::run (this=0x7f5314139de0, parent=0x33c5b40, th=0x33c6e40) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f533aeab168 in ThreadWeaver::Thread::run (this=0x33c6e40) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f533e855775 in QThreadPrivate::start (arg=0x33c6e40) at thread/qthread_unix.cpp:248
#9  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f5313939710 (LWP 3686)):
[KCrash Handler]
#5  0x00007f533df62a75 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f533df665c0 in *__GI_abort () at abort.c:92
#7  0x00007f533df9c4fb in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#8  0x00007f533dfa65b6 in malloc_printerr (action=3, str=0x7f533e075282 "corrupted double-linked list", ptr=<value optimized out>) at malloc.c:6264
#9  0x00007f533dfab394 in _int_malloc (av=0x7f5320000020, bytes=380) at malloc.c:4633
#10 0x00007f533dfab58e in *__GI___libc_malloc (bytes=380) at malloc.c:3660
#11 0x00007f533e858a0d in QByteArray::resize (this=0x7f53139385a0, size=348) at tools/qbytearray.cpp:1370
#12 0x00007f533e97d1de in QUtf8::convertFromUnicode (uc=0x7f53220e9cda, len=116, state=0x7f532210a7a0) at codecs/qutfcodec.cpp:66
#13 0x00007f533e97d401 in QUtf8Codec::convertFromUnicode (this=<value optimized out>, uc=0xe66, len=6, state=0x0) at codecs/qutfcodec.cpp:508
#14 0x00007f533e8ee4d6 in QTextCodec::fromUnicode (this=0x7f532210a740) at ../../include/QtCore/../../src/corelib/codecs/qtextcodec.h:121
#15 QTextStreamPrivate::flushWriteBuffer (this=0x7f532210a740) at io/qtextstream.cpp:672
#16 0x00007f533e8ef729 in ~QTextStream (this=0x7f53220e9250, __in_chrg=<value optimized out>) at io/qtextstream.cpp:1145
#17 0x00007f531e4a7a3e in ~Stream (this=0x7f5313938780, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qdebug.h:64
#18 ~QDebug (this=0x7f5313938780, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qdebug.h:88
#19 0x00007f531e4ad708 in Podcasts::UmsPodcastProvider::addPath (this=0x35b96a0, path=...) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:443
#20 0x00007f531e4adf4a in Podcasts::UmsPodcastProvider::scan (this=0x35b96a0) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:435
#21 0x00007f531e4a35b4 in Meta::UmsHandler::prepareToParseTracks (this=0x35b8ba0) at ../../../../../src/core-impl/collections/umscollection/handler/UmsHandler.cpp:840
#22 0x00007f534011def3 in Meta::MediaDeviceHandler::privateParseTracks (this=0x35b8ba0) at ../../src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:832
#23 0x00007f534011fadd in Meta::ParseWorkerThread::run (this=0x36f8550) at ../../src/core-impl/collections/mediadevicecollection/handler/MediaDeviceHandler.cpp:1277
#24 0x00007f533aeab8dd in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f5313938d50, th=0x33c8700, job=0x36f8550) at ../../../threadweaver/Weaver/Job.cpp:106
#25 0x00007f533aeabbde in ThreadWeaver::Job::execute (this=0x36f8550, th=0x33c8700) at ../../../threadweaver/Weaver/Job.cpp:135
#26 0x00007f533aeaabcf in ThreadWeaver::ThreadRunHelper::run (this=0x7f5313938de0, parent=0x33c5b40, th=0x33c8700) at ../../../threadweaver/Weaver/Thread.cpp:95
#27 0x00007f533aeab168 in ThreadWeaver::Thread::run (this=0x33c8700) at ../../../threadweaver/Weaver/Thread.cpp:142
#28 0x00007f533e855775 in QThreadPrivate::start (arg=0x33c8700) at thread/qthread_unix.cpp:248
#29 0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#30 0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#31 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f530f354710 (LWP 3687)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f533e85672b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x7f52f89696a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x7f52f89696a8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f5324243cd9 in XmlParseJob::run (this=<value optimized out>) at ../../../../../src/core-impl/collections/sqlcollection/ScanManager.cpp:692
#4  0x00007f533aeab8dd in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f530f353d50, th=0x3425470, job=0x7f52f8969660) at ../../../threadweaver/Weaver/Job.cpp:106
#5  0x00007f533aeabbde in ThreadWeaver::Job::execute (this=0x7f52f8969660, th=0x3425470) at ../../../threadweaver/Weaver/Job.cpp:135
#6  0x00007f533aeaabcf in ThreadWeaver::ThreadRunHelper::run (this=0x7f530f353de0, parent=0x33c5b40, th=0x3425470) at ../../../threadweaver/Weaver/Thread.cpp:95
#7  0x00007f533aeab168 in ThreadWeaver::Thread::run (this=0x3425470) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f533e855775 in QThreadPrivate::start (arg=0x3425470) at thread/qthread_unix.cpp:248
#9  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f530eb53710 (LWP 3688)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f533dfae3ac in _L_lock_12430 () from /lib/libc.so.6
#2  0x00007f533dface48 in *__GI___libc_free (mem=0x7f5320000020) at malloc.c:3736
#3  0x00007f53374e41ba in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f533e974013 in ~QEventDispatcherGlib (this=0x7f5320309190, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:366
#5  0x00007f533e855364 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:284
#6  0x00007f533e85577d in ~__pthread_cleanup_class (arg=0x7f533ec5df20) at /usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x7f533ec5df20) at thread/qthread_unix.cpp:253
#8  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f530e352710 (LWP 3690)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f533e85672b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x33c6a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x33c6a10, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f533aeaa026 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x33c5b40, th=0x3191360) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f533aeac6ab in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x3191360) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f533aeac6c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x3191360) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f533aeac6c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x3191360) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f533aeac6c4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x33c5650, th=0x3191360) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f533aeaabff in ThreadWeaver::ThreadRunHelper::run (this=0x7f530e351de0, parent=0x33c5b40, th=0x3191360) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f533aeab168 in ThreadWeaver::Thread::run (this=0x3191360) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f533e855775 in QThreadPrivate::start (arg=0x3191360) at thread/qthread_unix.cpp:248
#11 0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f530dad1710 (LWP 3691)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f533a7152a6 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f533a9f3220) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2304
#2  0x00007f533a7152e9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f533aa012ec) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1438
#3  0x00007f533c45f9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f533e01569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f53411d1780 (LWP 3671)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f533dfae3ac in _L_lock_12430 () from /lib/libc.so.6
#2  0x00007f533dface48 in *__GI___libc_free (mem=0x7f5320000020) at malloc.c:3736
#3  0x00007f533e9593c0 in ~QMetaCallEvent (this=0x7f5321c0db10, __in_chrg=<value optimized out>) at kernel/qobject.cpp:549
#4  0x00007f533e94c7f6 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x21ec9f0) at kernel/qcoreapplication.cpp:1361
#5  0x00007f533e9739d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#6  postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#7  0x00007f53374e48c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#8  0x00007f53374e8748 in ?? () from /lib/libglib-2.0.so.0
#9  0x00007f53374e88fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#10 0x00007f533e973513 in QEventDispatcherGlib::processEvents (this=0x21ec140, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#11 0x00007f533f36e46e in QGuiEventDispatcherGlib::processEvents (this=0x7f5320000020, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#12 0x00007f533e948992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#13 0x00007f533e948d6c in QEventLoop::exec (this=0x7fff7c7ff2c0, flags=) at kernel/qeventloop.cpp:201
#14 0x00007f533e94caab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#15 0x0000000000408752 in main (argc=1, argv=0x7fff7c801298) at ../../src/main.cpp:237

This bug may be a duplicate of or related to bug 220532.

Possible duplicates by query: bug 236519, bug 232041, bug 226997, bug 224877, bug 222713.

Reported using DrKonqi
Comment 1 Mikko C. 2010-05-10 08:37:50 UTC
Even if the crash happens in QT it seems to be triggered by a debug line in amarok:

#19 0x00007f531e4ad708 in Podcasts::UmsPodcastProvider::addPath
(this=0x35b96a0, path=...) at
../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:443
Comment 2 Sebastian Krämer 2010-05-11 21:47:13 UTC
Had a crash too when I connected my phone (usb mass storage), saw the device in the local collections list and clicked to enable it (/its collection).
Comment 3 Myriam Schweingruber 2010-08-09 13:53:23 UTC
Confirmed by duplicates.
Comment 4 Myriam Schweingruber 2010-08-09 13:55:10 UTC
*** Bug 242622 has been marked as a duplicate of this bug. ***
Comment 5 Myriam Schweingruber 2010-08-14 18:49:32 UTC
*** Bug 247840 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2010-08-16 09:40:13 UTC
*** Bug 248021 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2010-08-21 20:03:33 UTC
*** Bug 248618 has been marked as a duplicate of this bug. ***
Comment 8 Myriam Schweingruber 2010-09-09 09:38:10 UTC
Isn't this fixed already in Amarok 2.3.1 or 2.3.2 beta?
Comment 9 Myriam Schweingruber 2010-09-09 09:38:43 UTC
*** Bug 250599 has been marked as a duplicate of this bug. ***
Comment 10 rainer.feigl 2010-09-09 10:18:00 UTC
-> myriam
no, at least not in 2.3.1 when i tried a few days ago ... 2.3.2 beta i didn't try so far
Comment 11 Johan 2010-09-09 11:44:39 UTC
Created attachment 51458 [details]
New crash information added by DrKonqi

I installed the laterst beta version of amarok but the problem still exsist. I cannot use amarok it crahsed again
Comment 12 Myriam Schweingruber 2010-09-09 12:34:36 UTC
My collection is on an external USB harddisk, I use it daily and can't reproduce this crash, using latest git.
Comment 13 Mikko C. 2010-09-09 19:12:20 UTC
(In reply to comment #12)
> My collection is on an external USB harddisk, I use it daily and can't
> reproduce this crash, using latest git.

I believe this report is about using the USB drive as a collection (manually scanning it each time, rightclick -> Collection -> Use as Collection).
Not setting it from amarok settings.
Comment 14 Myriam Schweingruber 2010-09-10 14:53:09 UTC
Mikko: I tried both, still no crash at all, current git.
Comment 15 Myriam Schweingruber 2010-09-20 01:08:38 UTC
No way to reproduce this here, cosnider this solved in the upcoming 2.3.2
Comment 16 Myriam Schweingruber 2010-09-20 01:08:51 UTC
*** Bug 251734 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2010-09-20 01:16:51 UTC
*** Bug 251764 has been marked as a duplicate of this bug. ***
Comment 18 jaq 2010-09-29 20:09:40 UTC
Created attachment 52088 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

started up amarok from the commandline, it started scanning my collection

- Unusual behavior I noticed:

amarok crashing while collectinoscanner was still running

- Custom settings of the application:

collection is on a USB external disk.  release notes say this is fixed in 2.3.2 which i'm running.

-- Backtrace (Reduced):
#6  0x00007fa5fca55745 in KSharedPtr (this=0x8) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x8) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007fa62bbf32c4 in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#9  0x00007fa62bc1e141 in PlaylistBrowserNS::PodcastModel::data (this=0x7fa604323680, idx=..., role=21) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007fa62a221c87 in QAbstractItemModel::itemData (this=0x7fa604323680, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 19 Myriam Schweingruber 2010-09-30 00:33:29 UTC
Reopening, but the error line has slightly changed.
Comment 20 Myriam Schweingruber 2010-10-08 09:55:30 UTC
*** Bug 253553 has been marked as a duplicate of this bug. ***
Comment 21 Myriam Schweingruber 2010-10-15 12:52:30 UTC
*** Bug 254027 has been marked as a duplicate of this bug. ***
Comment 22 rainer.feigl 2010-10-19 22:58:53 UTC
Created attachment 52689 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

this is just a backtrace from the current version 2.3.2.
as in my original report i wanted to scan my external device (1 tb, about 350g used) -> 'use automatically' in the context menu of amarok's device list

strange thing is, that scanning works, when i select the device as collection folder in 'Settings' -> 'Configure Amarok' -> 'Collection' ... but thats not really what i want

maybe someone could also tell me, what the option 'use as collection' really does ... absolutely nothing happens when i select it

-- Backtrace (Reduced):
#6  0x00007ff7c981cc05 in KSharedPtr (this=0x8) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x8) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007ff7f93d2c04 in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#9  0x00007ff7f93fe081 in PlaylistBrowserNS::PodcastModel::data (this=0x7ff7d02a8db0, idx=..., role=6) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007ff7f7a17877 in QAbstractItemModel::itemData (this=0x7ff7d02a8db0, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 23 Myriam Schweingruber 2010-10-20 11:49:02 UTC
*** Bug 254714 has been marked as a duplicate of this bug. ***
Comment 24 Mikko C. 2010-11-27 10:07:30 UTC
*** Bug 257863 has been marked as a duplicate of this bug. ***
Comment 25 fatgerman 2010-12-05 13:16:26 UTC
Created attachment 54147 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.4 (KDE 4.5.4) using Qt 4.7.0

Same issue here - the size of the collection on the external disc seems to be an important factor. If I use an external disc with only a few files (<100) then it seems fine. However my main external collection has 14,000 files on it. When I attach this, amarok burns 100% CPU for about 5 minutes, then the status bar shows 'Scanning Music 0%' for about 10 minutes, then I get this segfault.

-- Backtrace (Reduced):
#6  0x00007fb8ed53cc05 in KSharedPtr (this=0x7fb91c822388) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x7fb91c822388) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007fb91ea8fc04 in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#9  0x00007fb91eabb081 in PlaylistBrowserNS::PodcastModel::data (this=0x1f8aba0, idx=..., role=18) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007fb91d0d3877 in QAbstractItemModel::itemData (this=0x1f8aba0, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 26 Martin Dittmar 2010-12-07 12:59:08 UTC
Created attachment 54246 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

After scanning an external hard drive (NTFS, 52GB of Music files, 300GB partition size) the application crashes at the moment the scan is finished (but before printing some kind of success note). The scan takes about 5-10 minutes.
This happens always and happened already with earlier versions of amarok 2.x

-- Backtrace (Reduced):
#6  0x00007f85610cec05 in KSharedPtr (this=0x7f8591993388) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x7f8591993388) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007f8593bffc04 in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#9  0x00007f8593c2b081 in PlaylistBrowserNS::PodcastModel::data (this=0x31c9150, idx=..., role=15) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007f8592244877 in QAbstractItemModel::itemData (this=0x31c9150, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 27 Dario Andres 2010-12-11 21:38:51 UTC
*** Bug 259550 has been marked as a duplicate of this bug. ***
Comment 28 Myriam Schweingruber 2010-12-14 13:26:10 UTC
This should be fixed with current 2.4-git, I can't reproduce this here at all.

Please test with amarok 2.4 beta
Comment 29 earlski 2010-12-23 10:34:57 UTC
Created attachment 55183 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

Part of my collection is on USB device. When I start Amarok just on local collection, there are no problems. When I connect the USB device it crashes after some time.
!Although, I have deleted the "Postcast entry" on the Configuration for this device.

-- Backtrace (Reduced):
#6  0x00007fe6b5ad6c05 in KSharedPtr (this=0x0) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x0) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007fe6eaba5c04 in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#9  0x00007fe6eabd1081 in PlaylistBrowserNS::PodcastModel::data (this=0x220a7f0, idx=..., role=8) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007fe6e91ea877 in QAbstractItemModel::itemData (this=0x220a7f0, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 30 Myriam Schweingruber 2011-01-04 15:33:58 UTC
*** Bug 261944 has been marked as a duplicate of this bug. ***
Comment 31 Myriam Schweingruber 2011-01-13 02:16:28 UTC
*** Bug 262909 has been marked as a duplicate of this bug. ***
Comment 32 vosje62 2011-02-23 16:34:10 UTC
Created attachment 57468 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

It was reading an external drive too, but it was not ext3, but ntfs formated.

-- Backtrace (Reduced):
#7  0xa411c9a1 in KSharedPtr (this=0x9e14438) at /usr/include/ksharedptr.h:84
#8  Podcasts::UmsPodcastProvider::playlists (this=0x9e14438) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#9  0xb6f9e85b in PlaylistBrowserNS::PlaylistBrowserModel::data (this=0x9dbdfe0, index=..., role=18) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:199
#10 0xb6fcdf92 in PlaylistBrowserNS::PodcastModel::data (this=0x9dbdfe0, idx=..., role=18) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#11 0xb5c80a55 in QAbstractItemModel::itemData (this=0x9dbdfe0, index=...) at kernel/qabstractitemmodel.cpp:1647
Comment 33 Myriam Schweingruber 2011-03-05 16:47:56 UTC
*** Bug 267400 has been marked as a duplicate of this bug. ***
Comment 34 Myriam Schweingruber 2011-04-10 15:18:49 UTC
*** Bug 270549 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2011-04-11 10:07:39 UTC
*** Bug 270549 has been marked as a duplicate of this bug. ***
Comment 36 stanlavisbad 2011-04-16 19:24:06 UTC
Created attachment 59050 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.0

- What I was doing when the application crashed:

Opened amarok, scanning collection either automatically or manually. after a while amarok crashes. happens every time

-- Backtrace (Reduced):
#6  0x00007f37e294cc65 in KSharedPtr (this=0x20) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=0x20) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007f3816e2ebae in PlaylistBrowserNS::PlaylistBrowserModel::data (this=<value optimized out>, index=<value optimized out>, role=<value optimized out>) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:86
#9  0x00007f3816e5bcb1 in PlaylistBrowserNS::PodcastModel::data (this=0x2190ff0, idx=..., role=18) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007f381548d877 in QAbstractItemModel::itemData (this=0x2190ff0, index=<value optimized out>) at kernel/qabstractitemmodel.cpp:1647
Comment 37 Myriam Schweingruber 2011-04-18 09:00:32 UTC
Could you please test with Amarok 2.4 1 beta aka 2.4.0.90?
Comment 38 Myriam Schweingruber 2011-04-21 12:17:37 UTC
*** Bug 271381 has been marked as a duplicate of this bug. ***
Comment 39 stanlavisbad 2011-04-21 12:24:44 UTC
No crash on 2.4.0.90, although have only tested once. Will update if it crashes again!
Comment 40 Myriam Schweingruber 2011-04-27 11:28:58 UTC
*** Bug 271817 has been marked as a duplicate of this bug. ***
Comment 41 Myriam Schweingruber 2011-05-14 14:01:48 UTC
*** Bug 273235 has been marked as a duplicate of this bug. ***
Comment 42 Myriam Schweingruber 2011-05-14 14:02:28 UTC
How about Amarok 2.4.1?
Comment 43 el_gallo_azul 2011-05-15 08:30:54 UTC
I have stopped using Amarok because of the problems I had with it. I use Rhythmbox instead.
Comment 44 Myriam Schweingruber 2011-05-15 16:48:27 UTC
Closing for lack of feedback, last report was it didn't crash on Amarok 2.4.0.90.
Comment 45 oakenshield.thorin 2011-05-21 16:18:49 UTC
Created attachment 60205 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

Scanning external drive for music via amaraok.

- Unusual behavior I noticed:

KDE gone and a gnomish half breed desktop environment appeared for a while
and then KDE came back aftera 10 seconds.

-- Backtrace (Reduced):
#6  0x00007f0ac791b36e in KSharedPtr (this=<value optimized out>) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=<value optimized out>) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007f0aeb98143c in PlaylistBrowserNS::PlaylistBrowserModel::data (this=0x260e230, index=..., role=14) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:86
#9  0x00007f0aeb9ceb19 in PlaylistBrowserNS::PodcastModel::data (this=0x260e230, idx=..., role=14) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007f0ae9ed9f88 in QAbstractItemModel::itemData (this=0x260e230, index=...) at kernel/qabstractitemmodel.cpp:1646
Comment 46 e_formoso 2011-11-08 13:59:53 UTC
Created attachment 65391 [details]
New crash information added by DrKonqi

amarok (2.4.0) on KDE Platform 4.6.5 (4.6.5) using Qt 4.7.2

- What I was doing when the application crashed:

Amarok crashes when searching in the external drive for music

-- Backtrace (Reduced):
#6  0x00007f1a331e536e in KSharedPtr (this=<value optimized out>) at /usr/include/ksharedptr.h:84
#7  Podcasts::UmsPodcastProvider::playlists (this=<value optimized out>) at ../../../../../src/core-impl/collections/umscollection/podcasts/UmsPodcastProvider.cpp:168
#8  0x00007f1a56ec343c in PlaylistBrowserNS::PlaylistBrowserModel::data (this=0x2557920, index=..., role=16) at ../../src/browsers/playlistbrowser/PlaylistBrowserModel.cpp:86
#9  0x00007f1a56f10b19 in PlaylistBrowserNS::PodcastModel::data (this=0x2557920, idx=..., role=16) at ../../src/browsers/playlistbrowser/PodcastModel.cpp:284
#10 0x00007f1a55417f88 in QAbstractItemModel::itemData (this=0x2557920, index=...) at kernel/qabstractitemmodel.cpp:1646
Comment 47 Myriam Schweingruber 2012-01-10 15:10:52 UTC
*** Bug 291090 has been marked as a duplicate of this bug. ***